Bug 1568855 - Thin pool creation: Mismatch in specified chunksize for the e.g. section and e.g. description part
Summary: Thin pool creation: Mismatch in specified chunksize for the e.g. section and ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.z Async Update
Assignee: Srijita Mukherjee
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On:
Blocks: 1650394
TreeView+ depends on / blocked
 
Reported: 2018-04-18 10:38 UTC by Neha Berry
Modified: 2018-12-28 10:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-28 10:21:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Neha Berry 2018-04-18 10:38:33 UTC
Document URL: 
###################

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/administration_guide/#chap-Managing_Snapshots

Section Number and Name: 
########################

8.1. Prerequisites

Describe the issue: 
#######################

There seems to be a mismatch in the specified chunksize for the given command and its description. 
In command, chunksize= 1280K, 
in its description : chunksize = 256KB

Based on given command, the description should also mention chunksize=1280 KB.

Detailed Description
#####################

Navigation:
++++++++++++++++
Chapter 8. Managing Snapshots--> 8.1. Prerequisites--> Recommended Setup-->For Example--> 3. Create a thin-pool using the following 

Complete snippet from the doc
+++++++++++++++++++++++++++++

Create a thin-pool using the following command:
# lvcreate --size 1T --thin dummyvg/dummypool --chunksize 1280k --poolmetadatasize 16G  --zero n
A thin pool of size 1 TB is created, using a chunksize of 256 KB. Maximum pool metadata size of 16 G is used.


Example Command section:
+++++++++++++++++++++++++++

lvcreate --size 1T --thin dummyvg/dummypool --chunksize 1280k --poolmetadatasize 16G  --zero n


The chunksize mentioned in the example command is 1280k. But immediately below it, in explanation part, the chunsize is mentioned as 256 KB.

Example description section
++++++++++++++++++++++++++

"A thin pool of size 1 TB is created, using a chunksize of 256 KB. Maximum pool metadata size of 16 G is used."          ********************      


Hence, in above line, we may have to change 256KB to 1280 KB as the mentioned example command is not using the default chunksize of 256KB.


Suggestions for improvement: 

Additional information:

Comment 2 Sweta Anandpara 2018-11-15 07:48:37 UTC
Ack for Doc Async Update 2.

Comment 5 Manoj Pillai 2018-11-22 12:30:08 UTC
In this case, I'd change the command to: --chunksize 256k

Also the section above, i.e. Recommended Setup, should be updated to be consistent with content in the link "Chapter 21: Tuning for Performance".


Note You need to log in before you can comment on or make changes to this bug.